Bug 23172 - RFE - arpwatch initscript option syntax
Summary: RFE - arpwatch initscript option syntax
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcpdump   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-02 20:08 UTC by R P Herrold
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-07 16:15:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description R P Herrold 2001-01-02 20:08:13 UTC
Per the discussion on Beta-Testers across the weekend, the need to specify
options without exiting the invoking initscript was discussed.

add a file:  /etc/sysconfig/arpwatch

with a variable:

OPTIONS=" -u nobody "

and the source that file in the initscript:

    daemon  arpwatch  $OPTIONS

--------------------------

Also requires a print documentation extension...

Comment 1 Pekka Savola 2001-01-02 20:19:32 UTC
Actually, it would be a good idea to give arpwatch an uid of its own too, but nobody will do for these purposes.

Also, if this would be implemented some other way than OPTIONS=, there are options '-n' and '-N' (specifying
the network and avoiding bogons) which sometimes are used.


Comment 2 Daniel Roesen 2001-01-03 09:33:20 UTC
Strongly seconded. Although I would love to see an uid for arpwatch alone I
could live with "nobody" too :-> Far better than running as root :-|

Comment 3 Pekka Savola 2001-02-07 16:15:42 UTC
Hmm.  The file reads:

---
# Get config.
. /etc/sysconfig/network

. /etc/sysconfig/arpwatch

---

This later check should be:

if [ -f /etc/sysconfig/arpwatch ]; then 
 . /etc/sysconfig/arpwatch
fi

Especially as /etc/sysconfig/arpwatch isn't in %files.


Comment 4 Harald Hoyer 2001-02-07 18:26:36 UTC
Well /etc/sysconfig/arpwatch is in 
Fixed the initscript anyway... check out arpwatch-2.1a10-38!


Note You need to log in before you can comment on or make changes to this bug.